Bug 1250223 - Review Request: lucene4 - compat package for lucene in version 4 to keep elasticsearch alive
Review Request: lucene4 - compat package for lucene in version 4 to keep ela...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-04 14:38 EDT by jiri vanek
Modified: 2015-08-19 04:12 EDT (History)
3 users (show)

See Also:
Fixed In Version: lucene4-4.10.4-0.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-19 04:12:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)
add compat version (3.57 KB, patch)
2015-08-10 12:38 EDT, gil cattaneo
no flags Details | Diff

  None (edit)
Description jiri vanek 2015-08-04 14:38:41 EDT
Spec URL: http://pkgs.fedoraproject.org/cgit/lucene.git/plain/lucene.spec?h=f23&id=4b246c4188513a44c0bd8fe4f6928086b4a97395
SRPM URL: https://jvanek.fedorapeople.org/lucene4-compact/v1/lucene-4.10.4-2.fc23.src.rpm
Description: I failed to patch ES to work with lucene 5 compact package for lucene in version 4 to keep elasticsearch alive. It is direct snapshot form lucene main package just before it updated to 5.x serie
Fedora Account jvanek

In https://jvanek.fedorapeople.org/lucene4-compact/v1/ is also lucene(4) build for f23 and ES build against it.

Note - I know htat renaming of package wil be needed, but I wil do it in next iteration. The review can start anyway.
Comment 1 Zbigniew Jędrzejewski-Szmek 2015-08-04 14:46:10 EDT
Without the rename there isn't much to review :)

We already have lucene3, so probably the same pattern should be used for lucene4.
Comment 2 Zbigniew Jędrzejewski-Szmek 2015-08-04 14:52:30 EDT
Builds fine in rawhide...

%license is now mandatory.
Comment 3 jiri vanek 2015-08-05 12:25:05 EDT
Spec URL: https://jvanek.fedorapeople.org/lucene4-compact/v2/lucene4.spec
SRPM URL: https://jvanek.fedorapeople.org/lucene4-compact/v2/lucene4-4.10.4-0.fc23.src.rpm


please note, that direct spec fille is slightly different then the one in src.rpm (few more empty lines and full changelog, no logic change)

ES builds and starts[1] with this lcene4

In that https://jvanek.fedorapeople.org/lucene4-compact/v2/ is few more interesting things:
 - patch for ES to live with lucene4: https://jvanek.fedorapeople.org/lucene4-compact/v2/usageOfLucene4.patch
 - patch btwenn original spec and new spec: https://jvanek.fedorapeople.org/lucene4-compact/v2/luceneToLucene4.patch
 - binaries of ES built with lucene4 (and above patch)

[1] starts but it is not running. I got [2] exception
However, I'm afraid it is not related to lucene4, but to https://admin.fedoraproject.org/updates/FEDORA-2015-12031/elasticsearch-1.6.1-0.fc22 security update of ES(see logs, the reading from this file seems to be mentioned) which I packed, but not tested (obviously) properly enough....

[2]
<mock-ch/usr/libexec/elasticsearch 
Aug 05, 2015 5:47:18 PM org.elasticsearch.bootstrap.Natives <clinit>
WARNING: JNA not found. native methods will be disabled.
Aug 05, 2015 5:47:18 PM org.elasticsearch.bootstrap.Natives addConsoleCtrlHandler
WARNING: cannot register console handler because JNA is not available
Aug 05, 2015 5:47:18 PM org.elasticsearch.node.internal.InternalNode <init>
INFO: [Red Raven] version[1.7.1], pid[4888], build[${build/NA]
Aug 05, 2015 5:47:18 PM org.elasticsearch.node.internal.InternalNode <init>
INFO: [Red Raven] initializing ...
Aug 05, 2015 5:47:18 PM org.elasticsearch.plugins.PluginsService <init>
INFO: [Red Raven] loaded [], sites []
Aug 05, 2015 5:47:18 PM org.elasticsearch.bootstrap.Bootstrap main
SEVERE: Exception
org.elasticsearch.ElasticsearchIllegalStateException: Failed to obtain node lock, is the following location writable?: [/builddir/.config/elasticsearch/data/elasticsearch]
	at org.elasticsearch.env.NodeEnvironment.<init>(NodeEnvironment.java:165)
	at org.elasticsearch.node.internal.InternalNode.<init>(InternalNode.java:165)
	at org.elasticsearch.node.NodeBuilder.build(NodeBuilder.java:159)
	at org.elasticsearch.bootstrap.Bootstrap.setup(Bootstrap.java:77)
	at org.elasticsearch.bootstrap.Bootstrap.main(Bootstrap.java:245)
	at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:32)
Caused by: java.io.IOException: failed to obtain lock on /builddir/.config/elasticsearch/data/elasticsearch/nodes/49
	at org.elasticsearch.env.NodeEnvironment.<init>(NodeEnvironment.java:151)
	... 5 more
Caused by: java.io.IOException: Mount point not found
	at sun.nio.fs.LinuxFileStore.findMountEntry(LinuxFileStore.java:91)
	at sun.nio.fs.UnixFileStore.<init>(UnixFileStore.java:65)
	at sun.nio.fs.LinuxFileStore.<init>(LinuxFileStore.java:44)
	at sun.nio.fs.LinuxFileSystemProvider.getFileStore(LinuxFileSystemProvider.java:51)
	at sun.nio.fs.LinuxFileSystemProvider.getFileStore(LinuxFileSystemProvider.java:39)
	at sun.nio.fs.UnixFileSystemProvider.getFileStore(UnixFileSystemProvider.java:368)
	at java.nio.file.Files.getFileStore(Files.java:1461)
	at org.elasticsearch.env.NodeEnvironment.getFileStore(NodeEnvironment.java:262)
	at org.elasticsearch.env.NodeEnvironment.access$000(NodeEnvironment.java:62)
	at org.elasticsearch.env.NodeEnvironment$NodePath.<init>(NodeEnvironment.java:75)
	at org.elasticsearch.env.NodeEnvironment.<init>(NodeEnvironment.java:140)
	... 5 more
Comment 4 Zbigniew Jędrzejewski-Szmek 2015-08-05 15:30:58 EDT
- name is OK
- license is still OK
- no special obsoletes or provides are required
- no conflicts (files are under /usr/share/java/lucene4)

$ rpmlint results/*rpm|cut -d: -f2-|sort -u
 W: file-size-mismatch lucene-4.10.4-src.tgz = 29484241, http://www.apache.org/dist/lucene/java/4.10.4/lucene-4.10.4-src.tgz = 29460429
 W: invalid-url Source4: dev-tools-4.10.4.tar.xz
 W: no-documentation
 W: only-non-binary-in-usr-lib
 W: spelling-error %description -l en_US lemmatizer -> legitimatize, materialize
 W: spelling-error %description -l en_US Lucene -> Luce
 W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
 W: spelling-error %description -l en_US morphosyntactic -> photosynthetic
 W: spelling-error %description -l en_US pluggable -> plug gable, plug-gable, plugged
 W: spelling-error Summary(en_US) Lucene -> Luce
Those stupid typo messages obscure relevant stuff. It would be really great to add the 100 most commonly used tech words to the dictionary.

 W: obsolete-not-provided lucene4-demo
 W: obsolete-not-provided lucene4-devel
Those should be removed.

Package is APPROVED.

Please add me to owners...
Comment 5 jiri vanek 2015-08-05 16:23:40 EDT
New Package SCM Request
=======================
Package Name: lucene4
Short Description: compact package of lucene 4.X
Upstream URL: http://lucene.apache.org/
Owners: jvanek zbyszek
Branches: f23
InitialCC: java-sig  bjensen pbrobinson bkabrda theinric ahughes gil msrb schwarz mrunge
Comment 6 jiri vanek 2015-08-05 16:25:07 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #4)
> - name is OK
> - license is still OK
> - no special obsoletes or provides are required
> - no conflicts (files are under /usr/share/java/lucene4)
> 
> $ rpmlint results/*rpm|cut -d: -f2-|sort -u
>  W: file-size-mismatch lucene-4.10.4-src.tgz = 29484241,
> http://www.apache.org/dist/lucene/java/4.10.4/lucene-4.10.4-src.tgz =
> 29460429

This slipped by accident. Final package will contain same source as uspstream and original lucene 
...
>  W: obsolete-not-provided lucene4-demo
>  W: obsolete-not-provided lucene4-devel
> Those should be removed.
> 
will be done

> Package is APPROVED.
> 
> Please add me to owners...

Sure. Thanx!
Comment 7 Gwyn Ciesla 2015-08-07 10:18:43 EDT
Package exists.
Comment 8 Zbigniew Jędrzejewski-Szmek 2015-08-07 12:18:54 EDT
(In reply to Jon Ciesla from comment #7)
> Package exists.
It was just created. cgit says "3 hours ago"

Anyway, it seems to work.
Comment 9 Zbigniew Jędrzejewski-Szmek 2015-08-07 12:27:55 EDT
Package Change Request
======================
Package Name: lucene4
New Branches: 

Please remove branch fc23.

I made a typo while pushing, and pushed to fc23 instead of f23. :(
Comment 10 gil cattaneo 2015-08-07 13:21:15 EDT
this is no a compact package, you must use:
%mvn_compat_version 'org.apache.lucene:*' %{version} %{majorversion}
where majorversion is equal to 4
Comment 11 gil cattaneo 2015-08-07 13:27:52 EDT
if you use XMvn for build this package you should not replace the manifest files with others. Are already generated by org.apache.felix:maven-bundle-plugin
Comment 12 Gwyn Ciesla 2015-08-07 14:51:35 EDT
We can't remove the branch, if you don't want it there, just don't build it
there.  Any automated rebuild should be on f24.
Comment 13 Zbigniew Jędrzejewski-Szmek 2015-08-07 14:54:17 EDT
(In reply to gil cattaneo from comment #11)
> if you use XMvn for build this package you should not replace the manifest
> files with others. Are already generated by
> org.apache.felix:maven-bundle-plugin
Ack. Looks like the reason given in comment ("add missing OSGi metadata to manifests") is not needed anymore.

diff --git tmp/manif1 tmp/manif2
index f98af18e06..1a64a90886 100644
--- tmp/manif1
+++ tmp/manif2
@@ -3,27 +3,68 @@ Bundle-License: http://www.apache.org/licenses/LICENSE-2.0.txt
 Bundle-SymbolicName: org.apache.lucene.core
 Archiver-Version: Plexus Archiver
 Built-By: mockbuild
-Bnd-LastModified: 1438968871456
-Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Bnd-LastModified: 1438970844988
 JavaPackages-ArtifactId: lucene-core
 Implementation-Vendor-Id: org.apache.lucene
 Specification-Title: Lucene Core
 Bundle-DocURL: http://www.apache.org/
 Require-Capability: osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.7))"
-Import-Package: javax.management
 Export-Package: org.apache.lucene;version="4.10.4",org.apache.lucene.a
- nalysis;version="4.10.4",org.apache.lucene.analysis.tokenattributes;v
- ersion="4.10.4",org.apache.lucene.document;version="4.10.4",org.apach
- e.lucene.index;version="4.10.4",org.apache.lucene.search;version="4.1
- 0.4",org.apache.lucene.search.payloads;version="4.10.4",org.apache.lu
- cene.search.spans;version="4.10.4",org.apache.lucene.search.similarit
- ies;version="4.10.4",org.apache.lucene.store;version="4.10.4",org.apa
- che.lucene.util;version="4.10.4",org.apache.lucene.util.fst;version="
- 4.10.4",org.apache.lucene.util.packed;version="4.10.4",org.apache.luc
- ene.util.mutable;version="4.10.4",org.apache.lucene.util.automaton;ve
- rsion="4.10.4"
-Bundle-Name: High-performance, full-featured text search engine
-Bundle-Localization: plugin
+ nalysis;uses:="org.apache.lucene.analysis.tokenattributes,org.apache.
+ lucene.util,org.apache.lucene.util.automaton";version="4.10.4",org.ap
+ ache.lucene.analysis.tokenattributes;uses:="org.apache.lucene.util";v
+ ersion="4.10.4",org.apache.lucene.codecs;uses:="org.apache.lucene.ind
+ ex,org.apache.lucene.store,org.apache.lucene.util";version="4.10.4",o
+ rg.apache.lucene.codecs.blocktree;uses:="org.apache.lucene.codecs,org
+ .apache.lucene.index,org.apache.lucene.store,org.apache.lucene.util,o
+ rg.apache.lucene.util.automaton";version="4.10.4",org.apache.lucene.c
+ odecs.compressing;uses:="org.apache.lucene.codecs,org.apache.lucene.i
+ ndex,org.apache.lucene.store,org.apache.lucene.util";version="4.10.4"
+ ,org.apache.lucene.codecs.lucene3x;uses:="org.apache.lucene.codecs,or
+ g.apache.lucene.index,org.apache.lucene.store";version="4.10.4",org.a
+ pache.lucene.codecs.lucene40;uses:="org.apache.lucene.codecs,org.apac
+ he.lucene.index,org.apache.lucene.store,org.apache.lucene.util";versi
+ on="4.10.4",org.apache.lucene.codecs.lucene41;uses:="org.apache.lucen
+ e.codecs,org.apache.lucene.codecs.compressing,org.apache.lucene.index
+ ,org.apache.lucene.store,org.apache.lucene.util";version="4.10.4",org
+ .apache.lucene.codecs.lucene410;uses:="org.apache.lucene.codecs,org.a
+ pache.lucene.index";version="4.10.4",org.apache.lucene.codecs.lucene4
+ 2;uses:="org.apache.lucene.codecs,org.apache.lucene.codecs.compressin
+ g,org.apache.lucene.index";version="4.10.4",org.apache.lucene.codecs.
+ lucene45;uses:="org.apache.lucene.codecs,org.apache.lucene.index";ver
+ sion="4.10.4",org.apache.lucene.codecs.lucene46;uses:="org.apache.luc
+ ene.codecs,org.apache.lucene.index,org.apache.lucene.store";version="
+ 4.10.4",org.apache.lucene.codecs.lucene49;uses:="org.apache.lucene.co
+ decs,org.apache.lucene.index";version="4.10.4",org.apache.lucene.code
+ cs.perfield;uses:="org.apache.lucene.codecs,org.apache.lucene.index";
+ version="4.10.4",org.apache.lucene.document;uses:="org.apache.lucene.
+ analysis,org.apache.lucene.index,org.apache.lucene.util";version="4.1
+ 0.4",org.apache.lucene.index;uses:="org.apache.lucene.analysis,org.ap
+ ache.lucene.codecs,org.apache.lucene.codecs.blocktree,org.apache.luce
+ ne.document,org.apache.lucene.search,org.apache.lucene.search.similar
+ ities,org.apache.lucene.store,org.apache.lucene.util,org.apache.lucen
+ e.util.automaton";version="4.10.4",org.apache.lucene.search;uses:="or
+ g.apache.lucene.document,org.apache.lucene.index,org.apache.lucene.se
+ arch.similarities,org.apache.lucene.store,org.apache.lucene.util,org.
+ apache.lucene.util.automaton,org.apache.lucene.util.packed";version="
+ 4.10.4",org.apache.lucene.search.payloads;uses:="org.apache.lucene.in
+ dex,org.apache.lucene.search,org.apache.lucene.search.similarities,or
+ g.apache.lucene.search.spans,org.apache.lucene.util";version="4.10.4"
+ ,org.apache.lucene.search.similarities;uses:="org.apache.lucene.index
+ ,org.apache.lucene.search,org.apache.lucene.util";version="4.10.4",or
+ g.apache.lucene.search.spans;uses:="org.apache.lucene.index,org.apach
+ e.lucene.search,org.apache.lucene.search.similarities,org.apache.luce
+ ne.util";version="4.10.4",org.apache.lucene.store;uses:="org.apache.l
+ ucene.util";version="4.10.4",org.apache.lucene.util;uses:="org.apache
+ .lucene.analysis,org.apache.lucene.index,org.apache.lucene.search,org
+ .apache.lucene.store";version="4.10.4",org.apache.lucene.util.automat
+ on;uses:="org.apache.lucene.index,org.apache.lucene.util";version="4.
+ 10.4",org.apache.lucene.util.fst;uses:="org.apache.lucene.store,org.a
+ pache.lucene.util";version="4.10.4",org.apache.lucene.util.mutable;us
+ es:="org.apache.lucene.util";version="4.10.4",org.apache.lucene.util.
+ packed;uses:="org.apache.lucene.index,org.apache.lucene.search,org.ap
+ ache.lucene.store,org.apache.lucene.util";version="4.10.4"
+Bundle-Name: Lucene Core
 Extension-Name: org.apache.lucene
 JavaPackages-GroupId: org.apache.lucene
 Bundle-Description: Apache Lucene Java Core
@@ -33,7 +74,7 @@ Implementation-Version: 4.10.4 NO-REVISION-AVAILABLE - mockbuild - ${n
 JavaPackages-Version: 4.10.4
 Bundle-ManifestVersion: 2
 Specification-Vendor: The Apache Software Foundation
-Bundle-Vendor: fedoraproject.org
+Bundle-Vendor: The Apache Software Foundation
 Tool: Bnd-2.4.1
 Implementation-Vendor: The Apache Software Foundation
 Bundle-Version: 4.10.4

(In reply to gil cattaneo from comment #10)
> this is no a compact package, you must use:
> %mvn_compat_version 'org.apache.lucene:*' %{version} %{majorversion}
> where majorversion is equal to 4
Hm, how do I do that?

I tried adding:
%mvn_compat_version 'org.apache.lucene:*' %{version} 4
at the end of %prep, but then the build fails, because the provides between
different poms are not satisfied anymore:

-[INFO maven.req] java-headless >= 1:1.7, jpackage-utils
-Provides: lucene4 = 0:4.10.4-1.fc24 lucene4-core = 0:4.10.4-1.fc24 mvn(org.apache.lucene:lucene-core) = 4.10
.4 mvn(org.apache.lucene:lucene-core-aggregator:pom:) = 4.10.4 mvn(org.apache.lucene:lucene-core:pom:) = 4.10
.4 osgi(org.apache.lucene.core) = 4.10.4
+[INFO maven.req] jpackage-utils, java-headless >= 1:1.7
+Provides: lucene4 = 0:4.10.4-1.fc24 lucene4-core = 0:4.10.4-1.fc24 mvn(org.apache.lucene:lucene-core-aggrega
tor:pom:4) = 4.10.4 mvn(org.apache.lucene:lucene-core-aggregator:pom:4.10.4) = 4.10.4 mvn(org.apache.lucene:l
ucene-core:4) = 4.10.4 mvn(org.apache.lucene:lucene-core:4.10.4) = 4.10.4 mvn(org.apache.lucene:lucene-core:p
om:4) = 4.10.4 mvn(org.apache.lucene:lucene-core:pom:4.10.4) = 4.10.4 osgi(org.apache.lucene.core) = 4.10.4

+[INFO maven.req] from POM(s): 
+Traceback (most recent call last):
+  File "/usr/lib/rpm/maven.req", line 394, in <module>
+    builder = TagBuilder()
+  File "/usr/lib/rpm/maven.req", line 77, in __init__
+    self.print_pom_requires(metadata)
+  File "/usr/lib/rpm/maven.req", line 164, in print_pom_requires
+    .format(reqs=", ".join([x.get_mvn_str() for x in unresolvable])))
+Exception: Unable to generate requires on unresolvable artifacts: org.apache.lucene:lucene-solr-grandparent:
Comment 14 Zbigniew Jędrzejewski-Szmek 2015-08-07 14:55:43 EDT
(In reply to Jon Ciesla from comment #12)
> We can't remove the branch, if you don't want it there, just don't build it
> there.  Any automated rebuild should be on f24.

This is not about f24 vs f23, but about fc23 vs f23 (extra "c").
Comment 15 gil cattaneo 2015-08-07 15:32:40 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #13)
> (In reply to gil cattaneo from comment #11)
> > if you use XMvn for build this package you should not replace the manifest
> > files with others. Are already generated by
> > org.apache.felix:maven-bundle-plugin
> Ack. Looks like the reason given in comment ("add missing OSGi metadata to
> manifests") is not needed anymore.
> 

> (In reply to gil cattaneo from comment #10)
> > this is no a compact package, you must use:
> > %mvn_compat_version 'org.apache.lucene:*' %{version} %{majorversion}
> > where majorversion is equal to 4
> Hm, how do I do that?

know you that there is a guide called "Java Packages guideline"?
I facilitate you
https://fedoraproject.org/wiki/Packaging:Java#Compatibility_packages
https://fedorahosted.org/released/javapackages/doc/#compat_packages

> I tried adding:
> %mvn_compat_version 'org.apache.lucene:*' %{version} 4
> at the end of %prep, but then the build fails, because the provides between
> different poms are not satisfied anymore:
> 
> -[INFO maven.req] java-headless >= 1:1.7, jpackage-utils
> -Provides: lucene4 = 0:4.10.4-1.fc24 lucene4-core = 0:4.10.4-1.fc24
> mvn(org.apache.lucene:lucene-core) = 4.10
> .4 mvn(org.apache.lucene:lucene-core-aggregator:pom:) = 4.10.4
> mvn(org.apache.lucene:lucene-core:pom:) = 4.10
> .4 osgi(org.apache.lucene.core) = 4.10.4
> +[INFO maven.req] jpackage-utils, java-headless >= 1:1.7
> +Provides: lucene4 = 0:4.10.4-1.fc24 lucene4-core = 0:4.10.4-1.fc24
> mvn(org.apache.lucene:lucene-core-aggrega
> tor:pom:4) = 4.10.4 mvn(org.apache.lucene:lucene-core-aggregator:pom:4.10.4)
> = 4.10.4 mvn(org.apache.lucene:l
> ucene-core:4) = 4.10.4 mvn(org.apache.lucene:lucene-core:4.10.4) = 4.10.4
> mvn(org.apache.lucene:lucene-core:p
> om:4) = 4.10.4 mvn(org.apache.lucene:lucene-core:pom:4.10.4) = 4.10.4
> osgi(org.apache.lucene.core) = 4.10.4
> 
> +[INFO maven.req] from POM(s): 
> +Traceback (most recent call last):
> +  File "/usr/lib/rpm/maven.req", line 394, in <module>
> +    builder = TagBuilder()
> +  File "/usr/lib/rpm/maven.req", line 77, in __init__
> +    self.print_pom_requires(metadata)
> +  File "/usr/lib/rpm/maven.req", line 164, in print_pom_requires
> +    .format(reqs=", ".join([x.get_mvn_str() for x in unresolvable])))
> +Exception: Unable to generate requires on unresolvable artifacts:
> org.apache.lucene:lucene-solr-grandparent:
maybe you should manage in other ways
Comment 16 gil cattaneo 2015-08-07 15:35:24 EDT
(In reply to gil cattaneo from comment #15)
> (In reply to Zbigniew Jędrzejewski-Szmek from comment #13)

> > 
> > +[INFO maven.req] from POM(s): 
> > +Traceback (most recent call last):
> > +  File "/usr/lib/rpm/maven.req", line 394, in <module>
> > +    builder = TagBuilder()
> > +  File "/usr/lib/rpm/maven.req", line 77, in __init__
> > +    self.print_pom_requires(metadata)
> > +  File "/usr/lib/rpm/maven.req", line 164, in print_pom_requires
> > +    .format(reqs=", ".join([x.get_mvn_str() for x in unresolvable])))
> > +Exception: Unable to generate requires on unresolvable artifacts:
> > org.apache.lucene:lucene-solr-grandparent:
> maybe you should manage in other ways
i mean install section
Comment 17 gil cattaneo 2015-08-07 15:46:24 EDT
Other issues:
%dir %{_javadir}/%{pkg_name} is no necessary. Please remove.
Is really necessary for a "compact" package have all modules splitted in several sub-packages
It really necessary for a package "compact" create all these sub-packages?
Comment 18 Zbigniew Jędrzejewski-Szmek 2015-08-07 16:24:17 EDT
Is %mvn_compat_version actually needed? The version of the lucene changed to 5, so there's no conflict if lucene4 provides version 4, and lucene provides version 5, no? (And if somebody requests unversioned provide, lucene will win because it has a higher version.)
Comment 19 gil cattaneo 2015-08-07 16:34:33 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #18)
> Is %mvn_compat_version actually needed? The version of the lucene changed to
> 5, so there's no conflict if lucene4 provides version 4, and lucene provides
> version 5, no? (And if somebody requests unversioned provide, lucene will
> win because it has a higher version.)

Yes is absolutly necessary, the version 3,4,5 is irrelevant. because, the real problem is the same groupId and artifactId
Comment 20 gil cattaneo 2015-08-07 16:45:27 EDT
if the package is for Fedora, then you should follow the guidelines of Fedora. there is only one exception for this type of packet and indicated above
Comment 21 jiri vanek 2015-08-10 07:30:55 EDT
Hello!

I was AFK for few days..s and what Happened:(

Zbyszek, thank you for review and for quick import (togehter with fixed sources and rmeoved obsolate)!

For issues rised by gil:
 - %mvn_compat_version 'org.apache.lucene:*' 4 %{version}
   is missing in %install [1] and is in format mayor_version whole_version (according to docs,  not %{version} 4 as settled above)
 - source  1-3 including their use-cases can be safely removed
   http://pkgs.fedoraproject.org/cgit/lucene4.git/tree/lucene4.spec?h=f23#n43
   http://pkgs.fedoraproject.org/cgit/lucene4.git/tree/lucene4.spec?h=f23#n343
   - isn't is valid also for main lucene package?

If so, I will update immediately. As for putting jars back together.. I do not see slightest reason to do so... SO unless somebody around really insist... Then I would really like to keep them as they are...

Thank you both!
Comment 22 Fedora Update System 2015-08-10 08:47:08 EDT
lucene4-4.10.4-0.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/lucene4-4.10.4-0.fc23
Comment 23 gil cattaneo 2015-08-10 09:20:28 EDT
(In reply to jiri vanek from comment #21)
> Hello!
> 
> I was AFK for few days..s and what Happened:(
> 
> Zbyszek, thank you for review and for quick import (togehter with fixed
> sources and rmeoved obsolate)!
> 
> For issues rised by gil:
>  - %mvn_compat_version 'org.apache.lucene:*' 4 %{version}
>    is missing in %install [1] and is in format mayor_version whole_version
> (according to docs,  not %{version} 4 as settled above)
>  - source  1-3 including their use-cases can be safely removed
>    http://pkgs.fedoraproject.org/cgit/lucene4.git/tree/lucene4.spec?h=f23#n43
>   
> http://pkgs.fedoraproject.org/cgit/lucene4.git/tree/lucene4.spec?h=f23#n343
>    - isn't is valid also for main lucene package?
> 
> If so, I will update immediately. As for putting jars back together.. I do
> not see slightest reason to do so... SO unless somebody around really
> insist... Then I would really like to keep them as they are...
> 
> Thank you both!
Hi
as refrences use these:
https://bugzilla.redhat.com/show_bug.cgi?id=1059213
http://pkgs.fedoraproject.org/cgit/solr3.git/tree/solr3.spec#n106
Comment 24 jiri vanek 2015-08-10 09:24:29 EDT
I see, there is
%mvn_compat_version : %{version} 3
too...
 but then  
https://fedorahosted.org/released/javapackages/doc/#compat_packages
is wrong:

Example invocation of %mvn_compat_version

# Assuming the package has name bar and version 3
# Sets the compat version of foo:bar artifact to 3
%mvn_compat_version foo:bar 3
# The installed artifact file (assuming it's jar and there were no
# %mvn_file calls) will be at %{_javadir}/bar/bar-3.jar
# The generated provides for foo:bar will be
# mvn(foo:bar:3) = 3
# mvn(foo:bar:pom:3) = 3

# Sets the compat versions of all artifacts in the build to 3 and 3.2
%mvn_compat_version : 3 3.2
Comment 25 jiri vanek 2015-08-10 09:41:20 EDT
The solr3 you are mentioning have the 
%mvn_compat_version : %{version} %{main_version}  in %build.

Putting it to %build or even to %install I get same error as Zbyszek:
Exception: Unable to generate requires on unresolvable artifacts: org.apache.lucene:lucene-solr-grandparent:pom:4.10.4
ERROR: Exception(/home/jvanek/git/lucene4/master/lucene4-4.10.4-2.fc24.src.rpm) Config(fedora-23-x86_64) 3 minutes 48 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-23-x86_64/result


Some thoughts about it?
Comment 26 jiri vanek 2015-08-10 12:02:31 EDT
Hm. Placing it to the *end* of the *install* at least finished build.

I have no idea what I have done and if it have sense....
Comment 27 gil cattaneo 2015-08-10 12:38:38 EDT
Created attachment 1061159 [details]
add compat version

- force servlet 3.1 apis usage
Comment 28 gil cattaneo 2015-08-10 12:39:59 EDT
Now uploaded the src rpm on koji for a build test. On my system built fine
Comment 29 Gwyn Ciesla 2015-08-10 12:56:16 EDT
Misformatted request.
Comment 30 gil cattaneo 2015-08-10 13:04:47 EDT
(In reply to gil cattaneo from comment #28)
> Now uploaded the src rpm on koji for a build test. On my system built fine

also on koji
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=10663139
Comment 31 jiri vanek 2015-08-11 08:47:21 EDT
TYVM. Your patch was pushed.
Comment 32 Fedora Update System 2015-08-12 16:10:18 EDT
Package lucene4-4.10.4-0.fc23:
* should fix your issue,
* was pushed to the Fedora 23 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lucene4-4.10.4-0.fc23'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-13271/lucene4-4.10.4-0.fc23
then log in and leave karma (feedback).
Comment 33 Fedora Update System 2015-08-19 04:12:40 EDT
lucene4-4.10.4-0.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.